package com.cf.imes.framework.security.test;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * security mock loginuser annotation
 *
 * @author Gqr
 * @since 2025/9/8 11:16
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface WithMockLoginUser {
    long userId() default 0L;

    String username() default "";

    long deptId() default 0L;

    boolean isSuperAdmin() default false;

    long organId() default 0L;

    int userType() default 1;

    long productId() default 0L;
}